Bug 480334 - Support translated docs in Documentation Search
Support translated docs in Documentation Search
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
0.6
All Linux
low Severity medium
: ---
: ---
Assigned To: John Matthews
Red Hat Satellite QA List
:
Depends On:
Blocks: space05
  Show dependency treegraph
 
Reported: 2009-01-16 09:44 EST by John Matthews
Modified: 2009-09-17 03:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:09:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Matthews 2009-01-16 09:44:33 EST
Description of problem:

Doc Search is space04 does not support searching through translated docs.
Add support so doc search will search in the locale the user has selected.

During this search, only matches from the locale's translated docs will appear as results.


Steps to Reproduce:
1.  Go to /rhn/help/Search.do
2.  Change locale to something like "Spanish"
3.  Do a search for "rpm"
  
Actual results:

Expected results:
Returned results should all be for spanish documents.
The summary should be populated with an example of the text surrounding the match.
Comment 1 John Matthews 2009-02-20 13:17:16 EST
This has been added to spacewalk during space05 development.

It requires satellite documents and satellite-doc-indexes to be installed.
Spacewalk docs are not indexed to support multiple languages.
Comment 2 Jesus M. Rodriguez 2009-04-14 10:12:18 EDT
Spacewalk 0.5 released.
Comment 3 Miroslav Suchý 2009-09-17 03:09:16 EDT
Spacewalk 0.5 has been released for long time ago.

Note You need to log in before you can comment on or make changes to this bug.